package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import digital.laboratory.platform.reagent.entity.DeliveryRegistrationForm;
import digital.laboratory.platform.reagent.vo.DeliveryRegistrationFormVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * (试剂耗材出库登记表) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (试剂耗材出库登记表) Mapper 类
 */
@Mapper
public interface DeliveryRegistrationFormMapper extends BaseMapper<DeliveryRegistrationForm> {

    Page<DeliveryRegistrationFormVO> getDeliveryRegistrationFormVOPage (Page <DeliveryRegistrationForm> page , @Param(Constants.WRAPPER) QueryWrapper<DeliveryRegistrationForm> qw);

    DeliveryRegistrationFormVO getDeliveryRegistrationFormVOById (String  deliveryRegistrationFormId);

}
