package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import digital.laboratory.platform.reagent.entity.StandardMaterialApprovalForm;
import digital.laboratory.platform.reagent.vo.StandardMaterialApprovalFormVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * (标准物质停用/报废销毁/恢复/降级使用审批表) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (标准物质停用/报废销毁/恢复/降级使用审批表) Mapper 类
 */
@Mapper
public interface StandardMaterialApprovalFormMapper extends BaseMapper<StandardMaterialApprovalForm> {

   IPage<StandardMaterialApprovalFormVO> getVOPage(IPage<StandardMaterialApprovalForm> page, QueryWrapper<StandardMaterialApprovalForm> qw);

   StandardMaterialApprovalFormVO getVO (String id);

    }
