package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.reagent.entity.PurchaseListDetails;
import digital.laboratory.platform.reagent.vo.PurchaseListDetailsVO;

import java.util.List;

/**
 * (采购清单明细)服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (采购清单明细) 服务类
 */
public interface PurchaseListDetailsService extends IService<PurchaseListDetails> {

    List<PurchaseListDetailsVO> getPurchaseListDetailsVOList(String purchaseListId);

    PurchaseListDetailsVO getPurchaseListDetailsVO(String id);
}
