package digital.laboratory.platform.reagent.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OutgoingContentsDTO {

    @ApiModelProperty(value = "(出库用途)")
    private Integer outboundUse;

    @ApiModelProperty(value = "(出库数量)")
    private Integer quantity;

    @ApiModelProperty(value = "(出库试剂耗材类ID)")
    private String reagentConsumableId;

    @ApiModelProperty(value = "(备注)")
    private String remarks;

    @ApiModelProperty(value = "(出库单ID)")
    private String deliveryRegistrationFormId;

    @ApiModelProperty(value = "(出库标准物质ID)")
    private String referenceMaterialId;

    @ApiModelProperty(value = "(标准物质编号)")
    private String number;

    @ApiModelProperty(value = "(批次ID)")
    private String batchDetailsId;

    @ApiModelProperty(value = "(格子Id)")
    private String latticeId;

    @ApiModelProperty(value = "(位置信息)")
    private String location;

}
