package digital.laboratory.platform.reagent.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "采购目录DTO")

public class PurchaseCatalogueDTO {
    /**
     * (品牌)
     */
    @ApiModelProperty(value = "品牌")
    private String brand;
    @ApiModelProperty(value = "类别")
    private String category;
    @ApiModelProperty(value = "偏差/不确定度")
    private String deviationOrUncertainty;

    @ApiModelProperty(value = "包装份数")

    private String packagedCopies;
    @ApiModelProperty(value = "采购目录ID")

    private String purchaseCatalogueId;
    @ApiModelProperty(value = "采购目录编号")

    private String purchaseCatalogueNumber;
    @ApiModelProperty(value = "试剂耗材名称")

    private String reagentConsumableName;
    @ApiModelProperty(value = "种类)")

    private String species;
    @ApiModelProperty(value = "规格型号")

    private String specificationAndModel;
    @ApiModelProperty(value = "标准值/纯度")

    private String standardValueOrPurity;
    @ApiModelProperty(value = "单价")

    private Double unitPrice;
    @ApiModelProperty(value = "采购目录明细ID")

    private String catalogueDetailsId;
    @ApiModelProperty(value = "试剂耗材Id")

    private String reagentConsumableId;
    @ApiModelProperty(value = "存储条件")

    private String storageCondition;
    @ApiModelProperty(value = "别名")

    private String alias;
    @ApiModelProperty(value = "备注")

    private String remark;
    @ApiModelProperty(value = "包装单位")

    private String minimumUnit;

    @ApiModelProperty(value = "英文名")
    private String englishName;

    @ApiModelProperty(value = "CAS 号")
    private String casNumber;


}
