package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.reagent.entity.CentralizedRequest;
import digital.laboratory.platform.reagent.entity.DetailsOfCentralized;
import digital.laboratory.platform.reagent.vo.CentralizedRequestVO;
import digital.laboratory.platform.reagent.vo.DetailsOfCentralizedVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (集中采购申请明细)服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (集中采购申请明细) 服务类
 */
public interface DetailsOfCentralizedService extends IService<DetailsOfCentralized> {

    List<DetailsOfCentralizedVO> getDetailsOfCentralizedVOList(String centralizedRequestId);

    List<DetailsOfCentralizedVO> getDetailsOfCentralizedList(String purchasingPlanId);
}
