package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.reagent.entity.SolutionUseForm;
import digital.laboratory.platform.reagent.vo.SolutionUseFormVO;

import java.util.List;

public interface SolutionUseFormService extends IService<SolutionUseForm> {
    List<SolutionUseFormVO> getSolutionUseFormVOList(String solutionId);

    SolutionUseForm useById (String referenceMaterialId, DLPUser dlpUser);
}
