package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.entity.PeriodVerificationImplementation;
import digital.laboratory.platform.reagent.service.impl.PeriodVerificationImplementationServiceImpl;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PeriodVerificationImplementationVO extends PeriodVerificationImplementation {

    @ApiModelProperty(value = "核查人名称")
    private String inspectorName;

    @ApiModelProperty(value = "标准物质名称")
    private String referenceMaterialName;

    @ApiModelProperty(value = "技术负责人名称")
    private String technicalDirectorName;

    private String type = "期间核查实施";

    private String createName;

}
