package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.entity.ReagentConsumables;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data

public class ReplacementVO {

    @ApiModelProperty(value = "换货试剂耗材")
    ReagentConsumables reagentConsumables;

    @ApiModelProperty(value = "换货试剂耗材ID")
    private String replacementReagentConsumableId;

    @ApiModelProperty(value = "换货数量")
    private Integer replacementQuantity;

    @ApiModelProperty(value = "换货单价")
    private Double replacementPrice;

    @ApiModelProperty(value = "采购计划换货备注")
    private String replacementRemark;

    @ApiModelProperty(value = "换货供应商名称")
    private String supplierName;

    @ApiModelProperty(value = "换货供应Id")
    private String supplierId;
}
